import { Mark } from './Mark';
export declare class HeatMap extends Mark {
    render(): Promise<void>;
    set_ranges(): void;
    set_positional_scales(): void;
    initialize_additional_scales(): void;
    create_listeners(): void;
    click_handler(args: any): void;
    relayout(): void;
    drawCanvas(): void;
    draw(): void;
    expandRect(value: any): any;
    getPlottingData(): {
        widths: any;
        heights: any;
        totalWidth: number;
        totalHeight: number;
        xOrigin: number;
        yOrigin: number;
        xStartPoints: number[];
        yStartPoints: number[];
        x0: number;
        y0: number;
    };
    getPadding(xData: any, yData: any): {
        left: number;
        right: number;
        bottom: number;
        top: number;
    };
    computeRectSizes(data: any, padding1: any, padding2: any, reversed?: boolean): any;
    getElementFill(color: any): any;
    clear_style(style_dict: any, indices?: any, elements?: any): void;
    compute_view_padding(): void;
    set_default_style(indices: any, elements?: any): void;
    set_style_on_elements(style: any, indices: any, elements?: any): void;
    image: any;
    canvas: any;
}
